Package ru.bitel.oss.systems.inventory.product.server.bean

# Class ProductSpecActivationModeDao

java.lang.Object
ru.bitel.oss.systems.inventory.product.server.bean.ProductSpecActivationModeDao

public class ProductSpecActivationModeDao extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductSpecActivationModeDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `delete(int id)`
  `ProductSpecActivationMode`
  `get(int id)`
  `protected ProductSpecActivationMode`
  `getFromRS(ResultSet rs)`
  `List<ProductSpecActivationMode>`
  `list()`
  `List<ProductSpecActivationMode>`
  `list(int productSpecId)`
  `List<ProductSpecActivationMode>`
  `list(List<Integer> ids)`
  `List<ProductSpecActivationMode>`
  `listByModuleId(int moduleId)`
  `void`
  `update(ProductSpecActivationMode activationMode)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProductSpecActivationModeDao

    public ProductSpecActivationModeDao(Connection con, int moduleId)

- ## Method Details

  - ### get

    public ProductSpecActivationMode get(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### delete

    public void delete(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected ProductSpecActivationMode getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### update

    public void update(ProductSpecActivationMode activationMode) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### listByModuleId

    public List<ProductSpecActivationMode> listByModuleId(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ProductSpecActivationMode> list(int productSpecId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ProductSpecActivationMode> list(List<Integer> ids) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public List<ProductSpecActivationMode> list() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`